## rmatrix 1.5-3

=== debian/changelog ===
rmatrix (1.5-3-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 12)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 15 Nov 2022 14:08:08 -0600
