## rmatrix 1.5-4.1

=== debian/changelog ===
rmatrix (1.5-4.1-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.6 LTS

 -- Michael Rutter <marutter@gmail.com>  Sat, 03 Jun 2023 13:32:05 +0000

rmatrix (1.5-4.1-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 22 May 2023 07:21:01 -0500

rmatrix (1.5-4-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 Apr 2023 22:51:53 -0500

rmatrix (1.5-1-2) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 12)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 15 Nov 2022 14:05:22 -0600
