## rmatrix 1.6-0

=== debian/changelog ===
rmatrix (1.6-0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 08 Jul 2023 08:37:35 -0500

rmatrix (1.5-4.1-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Jun 2023 09:41:13 -0500
