## rmatrix 1.6-1

=== debian/changelog ===
rmatrix (1.6-1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 14 Aug 2023 08:06:27 -0500
