## rmatrix 1.6-1.1

=== debian/changelog ===
rmatrix (1.6-1.1-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.6 LTS

 -- Michael Rutter <marutter@gmail.com>  Thu, 05 Oct 2023 00:56:42 +0000

rmatrix (1.6-1.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 19 Sep 2023 20:08:18 -0500
