=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.3.1), r-cran-lattice (>= 0.12-11.1)
+Build-Depends: debhelper, dh-r, r-base-dev (>= 4.3.1), r-cran-lattice (>= 0.12-11.1)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-matrix
 Vcs-Git: https://salsa.debian.org/edd/r-cran-matrix.git
