## rmatrix 1.6-2

=== debian/changelog ===
rmatrix (1.6-2-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.6 LTS

 -- Michael Rutter <marutter@gmail.com>  Fri, 10 Nov 2023 21:04:35 +0000

rmatrix (1.6-2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 07 Nov 2023 19:49:31 -0600
