## rmatrix 1.6-3

=== debian/changelog ===
rmatrix (1.6-3-1.1804.0) bionic; urgency=medium

  * Compilation for Ubuntu 18.04.6 LTS
  * Remove dependency for R 4.0.0 for backports in Ubuntu
  * debian/control, debian/rules, debian/compat: revert to a version of
    debheler < 10

 -- Michael Rutter <marutter@gmail.com>  Sat, 25 Nov 2023 14:55:23 +0000

rmatrix (1.6-3-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 14 Nov 2023 07:32:54 -0600
