## rmatrix 1.6-5

=== debian/changelog ===
rmatrix (1.6-5-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 11 Jan 2024 21:33:49 -0600

rmatrix (1.6-4-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 01 Dec 2023 06:43:33 -0600
