## rmatrix 1.7-0

=== debian/changelog ===
rmatrix (1.7-0-3) unstable; urgency=medium

  * debian/control: Refine run-time dependency on R 4.4.0 to r-base-core
    (addressing an emailed hint and now bug report)	(Closes: #1071940)
    
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 May 2024 07:50:17 -0500

rmatrix (1.7-0-2) unstable; urgency=medium

  * debian/control: Add explicit run-time dependency on R 4.4.0 or later

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 10 May 2024 12:51:16 -0500

rmatrix (1.7-0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 01 May 2024 19:25:36 -0500
