## rmatrix 1.7-1

=== debian/changelog ===
rmatrix (1.7-1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 18 Oct 2024 14:31:04 -0500
