## rmatrix 1.7-2

=== debian/changelog ===
rmatrix (1.7-2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 23 Jan 2025 13:09:38 -0600
