## rmatrix 1.7-3

=== debian/changelog ===
rmatrix (1.7-3-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 11 Mar 2025 07:27:34 -0500
