## rmatrix 1.7-4

=== debian/changelog ===
rmatrix (1.7-4-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 28 Aug 2025 09:06:14 -0500
